%global prerelease 3
%global beta beta
%global drupaldir %{_datadir}/drupal6
Name:      drupal6-job_scheduler
Version:   1.0
Release:   0.12.%{beta}%{prerelease}%{?dist}
Summary:   Simple API for scheduling tasks

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/scheduler
Source0:   http://ftp.drupal.org/files/projects/job_scheduler-6.x-%{version}-beta3.tar.gz
Source1:   %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6

%description
Simple API for scheduling tasks once at a predetermined time
or periodically at a fixed interval.

%prep
%setup -qn job_scheduler
chmod -x job_scheduler.module
cp -p %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/job_scheduler
cp -pr * %{buildroot}%{drupaldir}/modules/job_scheduler

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt CHANGELOG.txt
%exclude %{drupaldir}/modules/job_scheduler/*.txt
%{drupaldir}/modules/job_scheduler

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.12.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.11.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.10.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.9.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.8.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.7.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.6.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.5.beta3
- Clog file is added to .gitignore, version macro is added to Source0 line.

* Wed Jan 26 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.4.beta3
- Corrected alignment.
- Chmod and cp lines are copied under prep section.

* Fri Jan 14 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.3.beta3
- The License field is changed.

* Sat Jan  8 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.2.beta3
- Additional adjustments in the spec file

* Sun Dec 19 2010 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.beta3
- Initial packaging.
